VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | Protected Attributes | List of all members
ZLibOutputStream Class Reference
Inheritance diagram for ZLibOutputStream:

## Public Member Functions
| ZLibOutputStream (ByteOrder byteOrder=kNativeByteOrder)
| ~ZLibOutputStream ()
bool | open (OutputStream &stream, int32_t compressionLevel=6)
bool | close ()
bool | operator<< (const std::string &str) override
uint32_t | writeRaw (const void *buffer, uint32_t size) override
Public Member Functions inherited from OutputStream
| OutputStream (ByteOrder byteOrder=kNativeByteOrder)
virtual | ~OutputStream () noexcept=default
ByteOrder | getByteOrder () const
void | setByteOrder (ByteOrder newByteOrder)
bool | operator<< (const int8_t &input)
bool | operator<< (const uint8_t &input)
bool | operator<< (const int16_t &input)
bool | operator<< (const uint16_t &input)
bool | operator<< (const int32_t &input)
bool | operator<< (const uint32_t &input)
bool | operator<< (const int64_t &input)
bool | operator<< (const uint64_t &input)
bool | operator<< (const double &input)
virtual bool | operator<< (const std::string &str)=0
virtual uint32_t | writeRaw (const void *buffer, uint32_t size)=0

## Protected Attributes
std::unique_ptr< mz_stream > | zstream
OutputStream * | stream {nullptr}
std::array< Bytef, 4096 > | internalBuffer

## Constructor & Destructor Documentation

## ◆ ZLibOutputStream()

ZLibOutputStream | ( | ByteOrder | byteOrder = `kNativeByteOrder` | ) |

## ◆ ~ZLibOutputStream()

~ZLibOutputStream | ( |  | ) |

## Member Function Documentation

## ◆ close()

bool close | ( |  | ) |

## ◆ open()

bool open | ( | OutputStream & | stream,
|  | int32_t | compressionLevel = `6`
| ) |  |

## ◆ operator<<()

bool operator<< | ( | const std::string & | str | ) |
| inline override virtual

Implements OutputStream.

## ◆ writeRaw()

uint32_t writeRaw | ( | const void * | buffer,
|  | uint32_t | size
| ) |  |
| override virtual

Implements OutputStream.

## Member Data Documentation

## ◆ internalBuffer

std::array<Bytef, 4096> internalBuffer
| protected

## ◆ stream

OutputStream* stream {nullptr}
| protected

## ◆ zstream

std::unique_ptr< mz_stream > zstream
| protected

The documentation for this class was generated from the following file:

- compresseduidescription.cpp